#region Copyright Syncfusion Inc. 2001 - 2016
// Copyright Syncfusion Inc. 2001 - 2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Syncfusion.Windows.Tools.Controls;
using Syncfusion.Windows.Shared;
using System.Globalization;
using System.Windows.Controls.Primitives;

namespace DoubleTextBoxDemo
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : ChromelessWindow
    {


        /// <summary>
        /// Constructor for window1.
        /// </summary>
        ToggleButton tg = new ToggleButton();
        public Window1()
        {
            InitializeComponent();
            this.comboBox.SelectedIndex = 0;
            this.comboBox.IsDropDownOpen = true;
            this.comboBox.TabIndex = 2;
        }

        private void offsetTxt_LostFocus(object sender, RoutedEventArgs e)
        {
            if(this.comboBox.SelectedItem == null)
            {
                this.comboBox.SelectedIndex = 0;
            }
        }

        //private void comboBox_GotKeyboardFocus(object sender, KeyboardFocusChangedEventArgs e)
        //{
        //    if (comboBox.ItemContainerGenerator.ContainerFromItem(comboBox.SelectedItem) is ComboBoxItem)
        //        (comboBox.ItemContainerGenerator.ContainerFromItem(comboBox.SelectedItem) as ComboBoxItem).Focusable = false;

        //}


        //private void offsetTxt_LostKeyboardFocus(object sender, KeyboardFocusChangedEventArgs e)
        //{
        //    if (comboBox.ItemContainerGenerator.ContainerFromItem(comboBox.SelectedItem) is ComboBoxItem)
        //        (comboBox.ItemContainerGenerator.ContainerFromItem(comboBox.SelectedItem) as ComboBoxItem).Focusable = true;
        //}
    }


    public class FocusableConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            bool val = (bool)value;
            if (val == false)
                return false;
            else
                return true;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return false;
        }
    }


}
